Skip to main content
POST
/
getAllGroup
Get All group
curl --request POST \
  --url https://gateway.varchev.com/customer/getAllGroup \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'tenantId: <tenantid>' \
  --data '
{
  "application": "b2b_wallet"
}
'
[
  {
    "groupId": "<string>",
    "groupName": "<string>",
    "tenantId": "<string>",
    "roles": [
      {
        "componentId": "<string>",
        "componentName": "<string>",
        "accessRight": "read",
        "application": "b2b_wallet"
      }
    ]
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.varchev.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

tenantId
string
required

Tenant/Owner id

Body

application/json
application
enum<string>
Available options:
b2b_wallet,
b2c_wallet,
admin_wallet

Response

Get all group response

groupId
string
groupName
string
tenantId
string
roles
object[]